ProCKSI - Bug #2

archive.cgi: argument list too long / archive size too big / archiving takes too long

11/26/2007 04:15 PM - Anonymous

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Anonymous % Done: 0%
Category: ProCKSI Estimated time: 0.00 hour
Target version:

Resolution: fixed

Description

- command line "tar" can handle only a certain number of arguments.

as this is used to generate an archive of all results on-the-fly in archive.cgi, it might happen that this will fail due to too many files to be

considered

- downloading the archived results may take too long, especially with many results and over a slow connection

History

#1 - 02/28/2007 04:43 PM - Anonymous
- Status changed from New to In Progress

Possible solution:
- Produce a list of files to be archived

"

find . -iname ™' > list.tar

tar -czf archive.tgz --files-from list.tar

- Possible disadvantage: Not possible for dynamic archive generation to stdout

#2 - 07/03/2007 06:18 PM - Anonymous

Additional problems

- tar/untar can take quite long while executed as a system command from within a cron job perl script

- perl script containing tar/untar should be put into the queing system

- applies e.g. for check_tasks.pl

#3 - 11/23/2007 04:34 PM - Anonymous

- Status changed from In Progress to Closed

- Resolution set to fixed

(In r505) f - New similarity comparison method: Vorolign

e - New design with better navigation

f - Customisable visualisation for contact maps as images and graphs
f - Customisable notification emails for finished experiments/tasks
f - Improved data security with authentication

e - Improved scheduling of all tasks

closes #3, #5, #2, #35, #42, #24, #26, #52, #32, #11, #40, #22

#4 - 11/26/2007 04:15 PM - Anonymous

(In r506) f - New similarity comparison method: Vorolign

e - New design with better navigation

f - Customisable visualisation for contact maps as images and graphs
f - Customisable notification emails for finished experiments/tasks

f - Improved data security with authentication

e - Improved scheduling of all tasks

closes #3, #5, #2, #35, #42, #24, #26, #52, #32, #11, #40, #22
